local abacus = AceLibrary("Abacus-2.0")
Automaton_Repair = Automaton:NewModule("Repair", "AceEvent-2.0", "AceConsole-2.0", "AceDebug-2.0")
Automaton.options.args.repair = {
	type = 'toggle',
	name = 'Repair',
	desc = 'Automatically repair all inventory items when at merchant',
	get = function() return Automaton:IsModuleActive("Repair") end,
	set = function(v) Automaton:ToggleModuleActive("Repair", v) end,
}

function Automaton_Repair:OnEnable()
	self:RegisterEvent("MERCHANT_SHOW")
end

function Automaton_Repair:MERCHANT_SHOW()
	if not CanMerchantRepair() then return end
	local repairCost = GetRepairAllCost()
	if repairCost > 0 then
		self:Print("Repairing all items for: %s", abacus:FormatMoneyFull(repairCost, true))
		if not self:IsDebugging() then
			RepairAllItems()
		end
	end
end